
#    MIDAS Access Client  for  Spectrum Server

global env
source [file join $env(MIDASBASE) SOAP tcl MIDASAccessClient.tcl]    ;#   load default support procedures

global SpectrumServerHost SpectrumServerPort
global SOAPServerHost SOAPServerPort

if {[info exists SpectrumServerHost] == 0} then {
 if {[info exists SOAPServerHost] != 0} then {
   set SpectrumServerHost $SOAPServerHost
 } else {
   set SpectrumServerHost localhost
 }
}

if {[info exists SpectrumServerPort] == 0} then {
 if {[info exists SOAPServerPort] != 0} then {
   set SpectrumServerPort $SOAPServerPort
 } else {
   set SpectrumServerPort 8015
 }
}

variable uri "urn:SpectrumServer"
variable proxy "http://$SpectrumServerHost:$SpectrumServerPort/SpectrumServer"

SOAP::create SpectrumServerVerbose -proxy $proxy -uri $uri -timeout 5000 -params {int value} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create SpecDebug -proxy $proxy -uri $uri -timeout 5000 -params {Flag int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create SpecLogging -proxy $proxy -uri $uri -timeout 5000 -params {Value int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create SpecNew1D -proxy $proxy -uri $uri -timeout 5000 -params {Spectrum string Base int Range int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create SpecNew2D -proxy $proxy -uri $uri -timeout 5000 -params {Spectrum string Base int Range int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create SpecDelete -proxy $proxy -uri $uri -timeout 5000 -params {Spectrum string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create SpecZero -proxy $proxy -uri $uri -timeout 5000 -params {Spectrum string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create SpecDetails -proxy $proxy -uri $uri -timeout 5000 -params {Spectrum string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create SpecNames -proxy $proxy -uri $uri -timeout 5000 -params {Pattern string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create SpecRead1D -proxy $proxy -uri $uri -timeout 5000 -params {Spectrum string Base int Range int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create SpecRead2D -proxy $proxy -uri $uri -timeout 5000 -params {Spectrum string Base1 int Range1 int Base2 int Range2 int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create SpecTitle -proxy $proxy -uri $uri -timeout 5000 -params {Spectrum string Title string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create SpecLabel -proxy $proxy -uri $uri -timeout 5000 -params {Spectrum string Label string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create SpecInfo -proxy $proxy -uri $uri -timeout 5000 -params {Spectrum string Number int Info string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create SpecCalib -proxy $proxy -uri $uri -timeout 5000 -params {Spectrum string Dim int Calib string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 


